#!/bin/sh

while true; do
	read -n 30 -p "Please enter mac address ex. 201910251725: " custom_mac
	i2ctool set_mac $custom_mac
	echo ""
	read -n 30 -p "Please enter serial ex. Q199T12345: " custom_serial
	i2ctool set_serial $custom_serial
	echo ""
	read -n 30 -p "Please enter 70model ex. 70-0Q0340120: " custom_model70
	i2ctool set_model70 $custom_model70
	echo ""
	echo "MAC address =$(i2ctool get_mac)"
	echo "Serial =$(i2ctool get_serial)"
	echo "Model70 =$(i2ctool get_model70)"
	read -n 5 -p "Is above information completely right? (y/N)" ans
	if [ "$ans" == "y" ]; then
		break
	fi
done

echo "proceed booting procedure -- start_service.sh"
sh /etc/start_service.sh &> /dev/null &

